package com.broodsoft.grandeur;

import javafx.beans.InvalidationListener;
import javafx.beans.Observable;
import javafx.beans.value.ChangeListener;
import javafx.beans.value.ObservableValue;

public final class Handlers {
	private static final ChangeListener<?> NO_OP_HANDLER = new ChangeListener<Object>() {
		public void changed(ObservableValue<? extends Object> observable, Object oldValue, Object newValue){}
	};

	private static final InvalidationListener NO_OP_LISTENER = new InvalidationListener() {
		public void invalidated(Observable observable){}
	};

	@SuppressWarnings("unchecked")
	public static <T> ChangeListener<T> noOpSuccessHandler() {
		return (ChangeListener<T>)NO_OP_HANDLER;
	}

	@SuppressWarnings("unchecked")
	public static ChangeListener<Throwable> noOpFailureHandler() {
		return (ChangeListener<Throwable>)NO_OP_HANDLER;
	}

	public static InvalidationListener noOpListener() {
		return NO_OP_LISTENER;
	}
}
