package com.broodsoft.grandeur;

import java.util.Map;

import javafx.scene.control.TableColumn;
import javafx.scene.control.cell.MapValueFactory;
import javafx.scene.control.cell.PropertyValueFactory;

public final class TableColumns {
	public static <T,S> TableColumn<T,S> column(String columnName, String propertyName) {
		TableColumn<T, S> column = new TableColumn<>(columnName);
		column.setCellValueFactory(new PropertyValueFactory<T,S>(propertyName));
		return column;
	}

	@SuppressWarnings("rawtypes")
	public static <K,V> TableColumn<Map,V> mapColumn(String columnName, K key) {
		TableColumn<Map, V> column = new TableColumn<>(columnName);
		column.setCellValueFactory(new MapValueFactory<V>(key));
		return column;
	}
}
