package com.broodsoft.grandeur.activity.naming;

import java.util.MissingResourceException;
import java.util.ResourceBundle;

public class PropertiesFileNamingStrategy extends ActivityResourceNamingStrategy<ResourceBundle>
implements ResourceBundleFileNamingStrategy {
	public PropertiesFileNamingStrategy() {
		super("View");
	}

	@Override
	public ResourceBundle getResource(Class<?> type) {
		final String bundleName = getName(type);
		final String packageName = type.getPackage().getName();
		try {
			return ResourceBundle.getBundle(packageName+"."+bundleName);
		} catch(MissingResourceException e) {
			throw new NoSuchResourceException("Properties file '"+bundleName+
				".properties' doesn't exist in package '"+packageName+"'", e);
		}
	}
}
