package com.broodsoft.grandeur.intent;

import com.broodsoft.id.Id;

public class DestroyActivityIntent implements ActivityLifecycleIntent {
	public static interface Handler {
		void handleDestroyed();
	}

	public static final Handler NO_OP_HANDLER = new Handler() {
		@Override public void handleDestroyed() {}
	};

	private final Id activityId;
	private final Handler destructionHandler;

	public DestroyActivityIntent(Id activityId) {
		this(activityId, NO_OP_HANDLER);
	}

	public DestroyActivityIntent(Id activityId, Handler destructionHandler) {
		this.activityId = activityId;
		this.destructionHandler = destructionHandler;
	}

	public Id getActivityId() {
		return activityId;
	}

	public Handler getDestructionHandler() {
		return destructionHandler;
	}

	public static Handler noOpHandler() {
		return NO_OP_HANDLER;
	}
}
