package com.broodsoft.guice;

import com.google.inject.TypeLiteral;
import com.google.inject.matcher.AbstractMatcher;

public class BaseClassMatcher extends AbstractMatcher<TypeLiteral<?>> {
	private final Class<?> baseClass;

	public BaseClassMatcher(Class<?> baseClass) {
		this.baseClass = baseClass;
	}

	@Override
	public boolean matches(TypeLiteral<?> type) {
		return baseClass.isAssignableFrom(type.getRawType());
	}
}
