package com.broodsoft.id.numeric;

import java.util.Objects;

import com.broodsoft.id.Id;

public class NumericId implements Id {
	private final long value;

	public NumericId(long id) {
		this.value = id;
	}

	@Override
	public int hashCode() {
		return Objects.hash(value);
	}

	@Override
	public boolean equals(Object obj) {
		if(this == obj)
			return true;

		if(!(obj instanceof NumericId))
			return false;

		NumericId other = (NumericId)obj;
		return Objects.equals(this.value, other.value);
	}

	@Override
	public String toString() {
		return String.valueOf(value);
	}
}
