package com.broodsoft.grandeur.demo;

import java.io.IOException;

import javafx.application.Application;
import javafx.stage.Stage;

import com.broodsoft.grandeur.demo.navigation.LoginToMainNavigator;
import com.broodsoft.grandeur.intent.NavigationIntent;
import com.broodsoft.grandeur.nexus.Nexus;
import com.google.common.collect.ImmutableList;
import com.google.common.eventbus.EventBus;
import com.google.inject.Module;

public class Demo extends Application {
	private final EventBus globalEventBus;
	private final Nexus nexus; 

	public Demo() {
		globalEventBus = new EventBus();
		nexus = new Nexus(globalEventBus, getInjectionModules());
	}

	public void start(Stage stage) throws IOException {
		nexus.getNexusEventBus().post(NavigationIntent.create(LoginToMainNavigator.class));
	}

	private static ImmutableList<Module> getInjectionModules() {
		return ImmutableList.<Module>of(new DemoInjectionModule());
	}

	public static void main(String[] args) throws Exception {
		Application.launch(Demo.class, args);
	}
}
