package com.broodsoft.grandeur.demo;

import com.broodsoft.grandeur.demo.session.Session;
import com.broodsoft.guice.ApplicationInjectionModule;
import com.broodsoft.guice.MutableProvider;
import com.broodsoft.guice.SimpleMutableProvider;
import com.google.common.collect.ImmutableList;
import com.google.inject.TypeLiteral;

public class DemoInjectionModule extends ApplicationInjectionModule {
	public DemoInjectionModule() {
		super(getAllGlobalStylesheetLocations());
	}

	protected void configure() {
		super.configure();

		bind(new TypeLiteral<MutableProvider<Session>>(){}).toInstance(new SimpleMutableProvider<Session>());
		bind(Session.class).toProvider(new TypeLiteral<MutableProvider<Session>>(){});
	}

	private static ImmutableList<String> getAllGlobalStylesheetLocations() {
		return ImmutableList.of(getComponentsStylesheetLocation());
	}

	private static String getComponentsStylesheetLocation() {
		return Demo.class.getResource("components.css").toExternalForm();
	}
}
