package com.broodsoft.grandeur.demo.activity.main;

import javafx.fxml.FXML;
import javafx.scene.control.Label;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import com.broodsoft.grandeur.activity.SimpleFxmlActivity;
import com.broodsoft.grandeur.demo.session.Session;
import com.google.inject.Inject;

public class MainActivity extends SimpleFxmlActivity {
	private static final Logger LOGGER = LoggerFactory.getLogger(MainActivity.class);

	@FXML private Label greetingDisplay;

	private final Session session;

	@Inject
	protected MainActivity(SimpleFxmlActivity.Configuration config, Session session) {
		super(config, "Main");

		this.session = session;
	}

	@FXML
	private void initialize() {
		LOGGER.debug("Initializing");
		greetingDisplay.setText("Hello, "+session.getUsername()+"!");
	}
}
